#topDiv{
  position: fixed;
  z-index: 10;
  top: 0px;
  width: 100%;
  text-align: right;
  background: #ffffff;
  box-shadow: 0px 0px 3px #919191;
}
#introText{
  padding: 0rem 1rem;
}
#bigTitleDiv{
  position: fixed;
  top: 0px;
  width: 100%;
  background: #ffffff;
  font-size: xx-large;
  text-align: center;
  padding: 1.5rem 0rem 1.3rem 0rem;
  color: #FF5722;
  font-weight: 600;
}
#topButtons{
  display: none;
  height: 1.3rem;
  padding: 0.5rem;
  border-bottom: 1px solid #e7e7e7;
}
#topExitButton{
  display: none;
  position: absolute;
  top: 0.5rem;
  left: 3.4rem;
  text-align: center;
  color: #ababab;
  background: #f7f7f7;
  padding: 0rem 0.6rem 0.06rem 0.6rem;
  border-radius: 0.4rem;
}
#smallTitleDiv {
  position: absolute;
  top: 0.6rem;
  left: 0.8rem;
  font-size: 0.7rem;
  text-align: center;
  color: #FF5722;
  font-weight: 600;
  line-height: 0.4rem;
}
.topBarButtons{
  padding: 0.3rem 0.8rem;
  font-size: 0.7rem;
  font-weight: 600;
}
#publicarProblemaButton{

}

#publicarButton{
  display: none;
  background: #ff5722;
}

#topTextOrImageDiv{
  display: none;
  text-align: center;
  padding: 1rem;
  border-bottom: 1px solid #e7e7e7;
}
#topOptionsDiv{
  display: none;
  text-align: center;
  padding: 1rem;
  border-bottom: 1px solid #e7e7e7;
}
.newPostButton{
  padding: 1rem 0rem;
  width: 7rem;
}


#topBackground{
  display: none;
  position: fixed;
  z-index: 1;
  height: 100%;
  width: 100%;
  background: #000;
  opacity: 0.3;
}

.mainDiv{
  margin: auto;
  max-width: 768px;
  overflow: auto;
  height: calc(100% - 9rem);
  padding: 3rem 0rem 6rem 0rem;
  text-align: justify;
}

#bottomDiv{
  position: fixed;
  bottom: 0px;
  margin: auto;
  width: calc(100% - 2rem);
  padding: 1rem;
  text-align: center;
  background: #e6e6e6;
  border-top: 3px solid #f5f5f5;
}
button{
  padding: 1rem 3rem;
  background: #00bae4;
  border: 0px;
  color: #ffffff;
  font-size: large;
  font-weight: 600;
  border-radius: 0.2rem;
  cursor: pointer;
}
button:hover{
  filter: brightness(1.1);
}
#iniciarSessionButton{
  width: 18rem;
}
#crearCuentaButton{
  background: #00e489;
}
#entrarButton{

}



#newPostDiv{
  display: none;
  text-align: center;
}
select{
  width: 15rem;
  padding: 0.5rem;
  margin: 0.3rem;
  background: #fff;
}
.selectTitle{
  color: #0000ff;
}
#newPostInput_title{
  width: calc(100% - 2rem);
}
textarea{
  width: calc(100% - 1rem);
  height: 10rem;
  padding: 0.5rem;
  margin: 1rem 0rem;
  resize: none;
}


input{
  padding: 1rem 1rem;
  border-radius: 0.3rem;
  border: 0.05rem solid #c7c7c7;
  width: 16rem;
}

.logDiv{
  display: none;
  text-align: center;
}
.logMessage{
  color: red;
}
#newUserButton{
  background: #FF5722;
}

#feedDiv{
  display: none;
}


#loadingDiv{
  display: none;
  text-align: center;
}
.lds-ring {
  filter: brightness(0.7) sepia(1) hue-rotate(39deg);
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}
.lds-ring div {
  box-sizing: border-box;
  display: block;
  position: absolute;
  width: 64px;
  height: 64px;
  margin: 8px;
  border: 8px solid #fff;
  border-radius: 50%;
  animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
  border-color: #fff transparent transparent transparent;
}
.lds-ring div:nth-child(1) {
  animation-delay: -0.45s;
}
.lds-ring div:nth-child(2) {
  animation-delay: -0.3s;
}
.lds-ring div:nth-child(3) {
  animation-delay: -0.15s;
}
@keyframes lds-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}



.postParentDiv{
  border-bottom: 1px solid #eaeaea;
  width: calc(100% - 1rem);
  padding: 0.5rem;
  cursor: pointer;
}
.postTagsDiv{
  font-size: 0.8rem;
  text-align: left;
  color: #ff5722;
}
.postUserText{
  color: #d5d5d5;
}

.postVoteParentDiv{
  text-align: right;
  color: #b4b4b4;
}
.voteButton{
  padding: 0.1rem 0.5rem;
  margin: 0rem 0.2rem;
  background: unset;
  color: inherit;
}
.voteButton:hover{
  background: #dfdfdf;
  color: #000;
}
.voteNumbersDiv{
  display: inline-block;
}

.postTitleDiv{
}

#showPostParentDiv{
  display: none;
  /* padding: 0rem 0.5rem; */
}
#showPostTitleDiv{
  padding: 0.5rem 0.5rem;
  font-weight: 600;
  font-family: sans-serif;
}
#showPostTextDiv{
  padding: 0rem 0.5rem;
}
#showPostVoteParentDiv{
  padding: 0rem 0.5rem;
  text-align: right;
}
#showPostResponseDiv{
  padding: 0rem 0.5rem;
  margin: 1rem 0rem;
}
#showPostResponseButton{
  font-size: 1rem;
  font-weight: initial;
  padding: 0.3rem 0.4rem;
  width: 100%;
  text-align: left;
  border: 0.05rem solid #d7d7d7;
  border-radius: 2rem;
  background: #fff;
  color: #9c9c9c;
}
#showPostResponseTypeDiv{
  display: none;
  text-align: center;
}
#showPostResponseContainerDiv{
  display: none;
}
#showPostResponseTextarea{
  width: 100%;
}
#showPostResponseExitButton{
  padding: 0.5rem 1rem;
  background: none;
  color: #a8a8a8;
}
#showPostResponseSendButton{
  float: right;
  padding: 0.5rem 1rem;
}

#showPostCommentsParentDiv{
  width: 100%;
}
.commentParentDiv{
  padding: 1rem 0.5rem;
  border-top: 0.05rem solid #cbcbcb;
}
